Eclipse & Subversion. Subversive!

Этот пост является некоторым дополнением к одной моей прошлой статье. Некоторое время назад я написал заметку по настройке системы контроля версий Subversion в Linux, а также ее использованию в Eclipse. Тогда для интеграции SVN в Eclipse я использовал плагин Subclipse. Но на днях я столкнулся с очень неприятной проблемой - при коммите не очень-то большого проекта в SVN-репозиторий Eclipse просто зависал.

Решение оказалось простым. Вспомнив, что мне тогда в комментариях советовали плагин Subversive (спасибо!) я удалил Subclipse и установил Subversive. Для установки необходимо прописать в Update Manager следующие источники:

Subversive plugin:

http://download.eclipse.org/technology/subversive/0.7/update-site/

Subversive SVN connectors:

http://www.polarion.org/projects/subversive/download/eclipse/2.0/update-site/

При использовании этого плагина у меня исчезли все проблемы. Да и вообще он мне показался более законченным проектом по сравнению с Subclipse (в частности потому, что понимает, что такое trunk, branches и tags). В общем, теперь я рекомендую именно Subversive.

Комментарии

Re: Eclipse & Subversion. Subversive!

Aleks Ritov аватар

Интересно, нужно будет попробовать, как только вернусь из отпуска. В принципе, сабклипс меня более-менее устраивает, но именно более-менее :) коммит-апдейт - работает, а вот если чего понавороченей нужно - уже нет так все очевидно и приятно работает.

и еще, хотел задать вам вопрос как пользвателю эклипса из-под убунты. у меня два компа с идентичными системами (убунта 8.04) и идентичными эклипсами (по составу плагинов). дома все работает на ура, а вот на работе проблемы. я вот и думаю, а не в сабклипсе дело? (дома я его не юзаю обычно). проблемы следующие:
- тормознутость после нескольких часов работы (лечится перезапуском эклипса)
- глюки и зависания после нескольких дней-недель работы - лечитя удалением пофиля и восстановлением его из бэкапа.

Re: Eclipse & Subversion. Subversive!

SolarWind аватар

Хмм... У меня тоже два эклипса, только один в убунте, а второй в винде. У меня таких проблем не возникает. А какая версия эклипса? У меня 3.3.2.

Re: Eclipse & Subversion. Subversive!

Aleks Ritov аватар

У меня 3.2.2 - ставил из репов убунты. Кстати, пробовал его на разных жабомашинах - остановился на 5-й, хотя толку все равно никакого - начинает тормозить.

Re: Eclipse & Subversion. Subversive!

SolarWind аватар

В репах убунты эклипс староват. Я из-за этого его и ставил скачанный с оффсайта. А Java у меня шестая. Попробуйте, может с таким набором будет нормально...

Re: Eclipse & Subversion. Subversive!

Lin-ex аватар

Млин, реально сложно. Работаю на Вижуал студио от форточек, вынужден держать 2 системы - одну для программирования, другую для работы. Для работы линуха, коненчо. Решил попробовать Еклипс поставить - поставил, но в программировании никак не разберусь. Там компиляции какая-то интересная выходит. Мне интересно, есть ли какие книги по переходу от Вин-програмирования на Лин?

Re: Eclipse & Subversion. Subversive!

SolarWind аватар

Ну здесь надо вначале определиться, что именно хочется писать. Если это gui-приложение, то выбрать библиотеку (GTK2 или Qt). От этого зависят и предпочтительные среды разработки. А API тех же GTK2 и Qt детально описаны на официальных сайтах.

Re: Eclipse & Subversion. Subversive!

Виртуал аватар

Спасибо за статью. К сожалению еще не дорос до такого уровня программирования но все еще впереди )))

Re: Eclipse & Subversion. Subversive!

gavenkoa аватар

Если IDE используется для Java, то следует обратить внимание на NetBeans 6.1.

В нем не придется париться в плагинами для VCS, поддержка CVS, SVN, Mercurial и еще че то там из коробки.

Конешно это только один плюс. Для разработки на Си стабильный плагин вышел на год раньше от Eclipse.

Минус - в линухах нету стандартного пакета для инсталляции, а руки зачем тода?

Re: Eclipse & Subversion. Subversive!

Vladimir аватар

рекомендуют по многим причинам Subclipse. почитайте
http://www.toedter.com/blog/?p=29

Re: Eclipse & Subversion. Subversive!

SolarWind аватар

Ну я писал, у меня с Subclipse возникли проблемы, которые не проявляются с Subversive. Поэтому в итоге мой выбор и пал на последний.

Re: Eclipse & Subversion. Subversive!

Гость аватар

А у нас возникли проблемы с удалением пекеджей и Сабклипсом.
Удаляем пекедж, коммитим и видим что все что было в пекедже - удалилось, н осам пекедж - нет.
У вас не было таких проблем?

Re: Eclipse & Subversion. Subversive!

SolarWind аватар

У меня были проблемы с сабклипсом, другие, правда. Поэтому я и перешел на subversive, о чем и написал здесь.

Отправить комментарий

Содержание этого поля является приватным и не предназначено к показу. Если у вас есть аккаунт в Gravatar, он будет использован для показа вашей аватарки.
  • Доступны HTML теги: <a> <em> <strong> <cite> <code> <ul> <ol> <li> <dl> <dt> <dd>
  • Строки и параграфы переносятся автоматически.